Skip to main content
POST
/
v1
/
settlement-rules
Create a rule
curl --request POST \
  --url https://api.getsly.ai/v1/v1/settlement-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "trigger_type": "balance_threshold",
  "trigger_config": {},
  "action_type": "settle_to_bank",
  "action_config": {},
  "enabled": true,
  "priority": 123,
  "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "trigger_type": "balance_threshold",
    "trigger_config": {},
    "action_type": "settle_to_bank",
    "action_config": {},
    "enabled": true,
    "priority": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
name
string
required
trigger_type
enum<string>
required
Available options:
balance_threshold,
time_based,
event_based,
manual,
transaction_count
trigger_config
object
required
action_type
enum<string>
required
Available options:
settle_to_bank,
settle_to_account,
settle_to_wallet,
hold,
notify
action_config
object
required
enabled
boolean
required
priority
integer
required
wallet_id
string<uuid> | null

Response

Created

data
object
required